#ifndef __SNES_TO_USB_H
#define __SNES_TO_USB_H

#include <avr/io.h>
#include <stdbool.h>

#define B(val) (1 << val)

// pin definitions
#define LED_PORT PORTC
#define LED_PORT_DIR DDRC
#define STATUS_LED B(6)
#define ACTION_LED B(7)

#define CTRLR_PORT PORTD
#define CTRLR_PORT_DIR DDRD
#define CTRLR_PORT_IN PIND
#define CTRLR_LOAD B(1)
#define CTRLR_DATA B(2)
#define CTRLR_CLK B(5)

#endif // __SNES_TO_USB_H
