#ifndef __CTRLR_H
#define __CTRLR_H

#include "snes-to-usb.h"

// button mask values
#define BUTTON_B		0x8000
#define BUTTON_Y		0x4000
#define BUTTON_SEL		0x2000
#define BUTTON_START	0x1000
#define BUTTON_U		0x0800
#define BUTTON_D		0x0400
#define BUTTON_L		0x0200
#define BUTTON_R		0x0100
#define BUTTON_A		0x0080
#define BUTTON_X		0x0040
#define BUTTON_TL		0x0020
#define BUTTON_TR		0x0010

void ctrlr_init (void);
void ctrlr_start_read (void);
bool ctrlr_read_poll (uint16_t *buttons);

#endif // __CTRLR_H
